declare type PromiseFn = (...args: any) => Promise<any>;
declare function createAsset<T>(fn: PromiseFn, lifespan?: number): {
    /**
     * @throws Suspense Promise if asset is not yet ready
     * @throws Error if the promise rejected for some reason
     */
    read: (...args: any[]) => T;
    preload: (...args: any[]) => void;
    clear: (...args: any[]) => void;
    peek: (...args: any[]) => void | T;
};
declare function useAsset(fn: PromiseFn, args: any[]): any;
declare namespace useAsset {
    var lifespan: number;
    var clear: (...args: any[]) => void;
    var preload: (fn: PromiseFn, ...args: any[]) => undefined;
    var peek: (...args: any[]) => any;
}
export { createAsset, useAsset };
